/* DecoratedAvatar */
.bwi_DecoratedAvatar_container {
    position: relative;

    --_federation-icon-size: var(--cpd-space-4x);

    .bwi_DecoratedAvatar_decoration {
        position: absolute;
        right: 0;
        bottom: 0;
        width: var(--_federation-icon-size, 16px);
    }

    .bwi_FederationIcon {
        width: 100%;
    }
}

/* Hide Avatar decorations if selected in InviteDialog */
.mx_InviteDialog_tile[aria-selected="true"] .bwi_DecoratedAvatar_decoration {
    display: none;
}

/* Fix decoration position for InviteDialog Avatars */
.mx_InviteDialog_tile .mx_InviteDialog_tile_avatarStack .bwi_DecoratedAvatar_container {
    height: 100%;
    vertical-align: unset;
}

/* MESSENGER-5228 UserInfo avatar decoration */
.mx_UserInfo_avatar .bwi_DecoratedAvatar_decoration {
    width: 48px;
}
